import { useModel } from 'umi';
import AppHeader from '@/components/AppHeader';
import { RouteProps } from 'react-router';
import React from 'react';
import styles from './indexLayout.less';
import Nav from './nav';

export default function IndexLayout(props: RouteProps) {
  const { initialState: { isLogin } = { isLogin: false } } = useModel('@@initialState');
  const isLoginView = props.location?.pathname === '/login';
  return (
    <div className={styles.app}>
      <AppHeader className={styles.header} />
      <main className={styles.main}>
        {
          isLogin
            ? (
              <Nav pathname={props.location!.pathname} />
            )
            : null
        }
        <div className={styles.content} >
          {isLogin || isLoginView ? props.children : null}
        </div>
      </main>
    </div>
  )
}